##
##  html2ps.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2010 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         html2ps
Summary:      HTML to PostScript converter
URL:          http://user.it.uu.se/~jan/html2ps.html
Vendor:       Jan Krrman
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Postscript
License:      GPL
Version:      1.0b7
Release:      20100508

#   list of sources
Source0:      http://user.it.uu.se/~jan/html2ps-%{version}.tar.gz
Source1:      html2psrc

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101
PreReq:       OpenPKG, openpkg >= 20100101, perl, perl-www, netpbm

%description
    A command line utility written in Perl, html2ps converts HTML
    documents into postscript documents.

%track
    prog html2ps = {
        version   = %{version}
        url       = http://user.it.uu.se/~jan/
        regex     = html2ps-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/html2ps \
        $RPM_BUILD_ROOT%{l_prefix}/share/html2ps \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man5
    %{l_shtool} install -c -m 755 \
        -e 's;^:.*;#!%{l_prefix}/bin/perl;' \
        -e 's;/usr/local/lib/html2ps/html2psrc;%{l_prefix}/etc/html2ps/html2psrc;g' \
        -e 's;/usr/local/lib/html2ps/html2ps.html;%{l_prefix}/share/html2ps/html2ps.html;g' \
        html2ps $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        sample $RPM_BUILD_ROOT%{l_prefix}/etc/html2ps/html2psrc.sample
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE html2psrc} $RPM_BUILD_ROOT%{l_prefix}/etc/html2ps/
    %{l_shtool} install -c -m 644 \
        html2ps.html hyphen.tex \
        $RPM_BUILD_ROOT%{l_prefix}/share/html2ps/
    %{l_shtool} install -c -m 644 \
        html2ps.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 644 \
        html2psrc.5 $RPM_BUILD_ROOT%{l_prefix}/man/man5/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/html2ps/html2psrc'

%files -f files

%clean

